Search the Community
Showing results for tags 'reactors'.
-
I am creating a program to generate mill slots and to update (using reactors) if a centerline is modified. The only thing I can't figure out is how to handle the reactors for the secondary entities linked to the one being modified. I am currently approaching the problem like so: Ea...
-
So I have a 'bad' tendency to use the ESC key instead of the space bar to end a command. Now that I am starting to use reactors this will likely become a problem, and rather than changing my behavior I'd like to bend my program to my will. Currently one of my reactors changes the color of text in...
-
In the phases of learning something new, the most frustrating thing to me is when the examples make total sense, but you lack just enough understanding to implement it yourself. I can read through Lee Mac's AssociativeCenterlines lisp, and it all makes sense, but I am missing something in my co...
-
I am struggling to put all the pieces together when it comes to using reactors and I was wondering if someone could write me a "simple" (in the sense of being minimal) program that I can study and expand to my fit my needs. In the drawing I've attached, I would need to COPY, MOVE, DELETE, and UNDO...
-
Lisp Reactor to Detect Changing Drawing Tabs
ColinHolloway posted a topic in AutoLISP, Visual LISP & DCL
Hi All, I am experimenting with contextual ribbon menus based on some drawing properties and I am trying to find if it is possible to setup a reactor that will detect when you change drawings either using Switch Windows or clicking on the drawing tab. Any and all input on this issue greatly... -
Is there anyway to check to see if the user has inputted into the command line and using a lisp, to tell that as soon as the user has pressed esc to not only cancel the command but to also set quantities?
-
How do I have a command causes a function to
WPerciful posted a topic in AutoLISP, Visual LISP & DCL
I wrote a sub-routine to update drawing borders. There is a command in CADWorx called IGO which creates isometric drawings. I wanted have this command call my function which updates the borders. But my code doesn't work. (defun c:igo ( / ) (setvar "cmdecho" 0) (command "igo") (setvar "cmdec... -
Hi everyone, I'm making quantity tables from entities in a drawing and I need to add "flagging system" which will alert the user when any kind of modification has been made in a specific layer (I'm talking about the content of the layer = entities, not layer definitions like color and so). I've al...
- 5 replies
-
- layer dependent
- layer
-
(and 2 more)
Tagged with:
-
I thinking about dabbling more into Reactors but before I plunge too deep I was wondering if someone would be able to clarify a few things for me. To help explain I will setup an example. I have a reactor set to a line, whenever the line is modified it modifies the two lines offset on each side....